/ api / name / gb.store
GB.Store
Syntax

    void GB.Store ( GB_TYPE type , GB_VALUE *src , void *dst )

Store a Gambas value into memory.

- type is the Gambas Value Datatype of the value.
- src points at the value.
- dst is the memory address where the value will be stored.

If something was stored in dst, it is released before being replaced by the new value, depending on the datatype found: String, Object and Variant need being released, not the other datatypes.

Use this method only if you don't know the datatype at compile time.

Otherwise, use the specialized methods: GB.StoreString, GB.StoreObject, or GB.StoreVariant.

If you want to store the other datatypes (Integer, Date, ...), store them directly in memory. It is faster !

### See also

Storing Values In Memory